---
title: Kunden
slug: de/kunden
description: Dieses Dokument stellt API-Routen für die Verwaltung von Kunden bereit, einschließlich der Erstellung neuer Kunden, des Abrufens von Kundenlisten und -lizenzen, des Entfernens von Kundenlizenzen und des Änderns von Kundenkennwörtern.
docTags: 
createdAt: 2021-12-22T13:52:31.000Z
---



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/customers/new",
  "name": "Create new customer",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": "X-API-KEY"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "email",
        "type": "string",
        "description": "The customer email"
      },
      {
        "kind": "required",
        "name": "password",
        "type": "string",
        "description": "The customer password used to login"
      },
      {
        "kind": "required",
        "name": "customer_name",
        "type": "string",
        "description": "The customer name"
      },
      {
        "kind": "required",
        "name": "country_code",
        "type": "string",
        "description": "The customer country code (ISO 3166-1 alpha-2 format) \nSee directory/countries for countries list"
      },
      {
        "kind": "required",
        "name": "industry_code",
        "type": "Number",
        "description": "The customer industry\nSee directory/industries for industries list"
      },
      {
        "kind": "required",
        "name": "company_name",
        "type": "string",
        "description": "The company name\nRequired with all industries except family"
      },
      {
        "kind": "optional",
        "name": "customer_surname",
        "type": "string",
        "description": "The customer surname"
      },
      {
        "kind": "optional",
        "name": "skype",
        "type": "string",
        "description": "The customer skype contact"
      },
      {
        "kind": "optional",
        "name": "phone",
        "type": "string",
        "description": "The customer phone number"
      },
      {
        "kind": "optional",
        "name": "lang",
        "type": "string",
        "description": "Preferred customer language, defaults EN"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "RSFrYuOPvvHGsgQepd1tn",
        "code": "{\n    \"code\": 200,\n    \"content\": {\n        \"customer_code\": 1\n    }\n}",
        "language": "200"
      },
      {
        "id": "ZP0bDaYjxJuc-tScs0cQT",
        "code": "{\n    \"message\": \"Invalid token or Unauthorized admin\"\n}",
        "language": "401"
      },
      {
        "id": "gOQmtt2lu1kBKC7DygwW2",
        "code": "{\r\n    \"code\": 500,\r\n    \"message\": \"The given data was invalid.\",\r\n    \"errors\": {\r\n        \"lang\": [\r\n            \"The lang must be one of the following types: EN, IT, ES, DE\"\r\n        ]\r\n    }\r\n}",
        "language": "500"
      }
    ],
    "selectedLanguageId": "RSFrYuOPvvHGsgQepd1tn"
  },
  "examples": {
    "languages": [
      {
        "id": "z5g4FznZ9MujlrTjn5FaM",
        "code": "curl -X 'POST' \\\n  'https://api.fsflt.net/customerarea/customers/new' \\\n  -H 'accept: application/json' \\\n  -H \"Content-Type: application/json\" \\\n  -H \"X-API-KEY: YOUR_API_KEY\" \\\n  -d '{YOUR_PARAM}'",
        "language": "shell"
      }
    ],
    "selectedLanguageId": "z5g4FznZ9MujlrTjn5FaM"
  },
  "description": "Use this route to create a new customer",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "create-new-customer",
  "legacyHash": "pXHTQenAqffLr9ug0nOgH"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/customers/list",
  "name": "Get customer list",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": ""
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "sQW8zE1oo140uUROICWqd",
        "language": "200",
        "code": "{\n    \"code\": 200,\n    \"content\": [\n        {\n            \"main\": true,\n            \"code\": 4242,\n            \"name\": \"My\",\n            \"surname\": \"Account\",\n            \"email\": \"myaccount@email.com\",\n            \"lang\": 'EN',\n            \"country_code\": \"GB\",\n            \"company_name\": \"My Company Name\",\n            \"industry_code\": 1,\n            \"organization_id\": null,\n            \"migration_status\": \"NOT_MIGRATED\"\n            \"contacts\": {\n                \"skype\": \"\",\n                \"phone\": \"+3912345\"\n            },\n        },\n        {\n            \"main\": false,\n            \"code\": 1234,\n            \"name\": \"Jack\",\n            \"surname\": \"Jhonson\",\n            \"email\": \"jack123@email.com\",\n            \"lang\": 'EN',\n            \"country_code\": \"GB\",\n            \"company_name\": \"Jack Tech Co.\",\n            \"industry_code\": 1,\n            \"organization_id\": \"019f88ef-7fb5-725c-88e8-0d7028d1b392\",\n            \"migration_status\": \"MIGRATED\"\n            \"contacts\": {\n                \"skype\": \"Jack2021\",\n                \"phone\": \"+3912345\"\n            },\n        }\n    ]\n}"
      },
      {
        "id": "iHbQXnm7ws7PfRfWTZpqs",
        "language": "404",
        "code": "{\n    \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "sQW8zE1oo140uUROICWqd"
  },
  "examples": {
    "languages": [
      {
        "id": "FY3Bef8Yq0PYoQJScyWL2",
        "code": "curl -X 'GET' \\\r\n  'https://api.fsflt.net/customerarea/customers/list' \\\r\n  -H 'accept: application/json' \\\r\n  -H \"Content-Type: application/json\" \\\r\n  -H \"X-API-KEY: YOUR_API_KEY\" \\\r\n  -d '{YOUR_PARAM}'",
        "language": "shell",
        "customLabel": "Shell"
      }
    ],
    "selectedLanguageId": "FY3Bef8Yq0PYoQJScyWL2"
  },
  "description": "Get your customer list",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-customer-list",
  "legacyHash": "Dq99524cD8V1imEMcdTUN"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/customers/licenses",
  "name": "Get customer licenses",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": ""
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "customer_code",
        "type": "string",
        "description": ""
      },
      {
        "kind": "optional",
        "name": "lang",
        "type": "string",
        "description": "EN, ES, IT"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "wihCI9qdi8ga8_Vn403pm",
        "code": "{\n    \"ACTIVE_LICENSES\": [\n        {\n            \"id\": 223344,\n            \"code\": \"CL_Q_A005-M1\",\n            \"title\": \"Business Filter License - 5  nominal user\",\n            \"purchase_date\": \"2024-01-24\",\n            \"expiration_date\": \"2024-02-29\",\n            \"note\": \"License note\",\n            \"canceled\": \"0\"\n        },\n        {\n            \"id\": 112233,\n            \"code\": \"CL_Q_A005-M1\",\n            \"title\": \"Business Filter License - 5  nominal user\",\n            \"purchase_date\": \"2024-01-24\",\n            \"expiration_date\": \"2024-02-29\",\n            \"note\": \"License note\",\n            \"canceled\": \"0\"\n        }\n]}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "wihCI9qdi8ga8_Vn403pm"
  },
  "examples": {
    "languages": [
      {
        "id": "co1ddakY9xv1uMq4JBOhU",
        "code": "curl -X 'POST' \\\n  'https://api.fsflt.net/customerarea/customers/licenses' \\\n  -H 'accept: application/json' \\\n  -H \"Content-Type: application/json\" \\\n  -H \"X-API-KEY: YOUR_API_KEY\" \\\n  -d '{YOUR_PARAM}'",
        "language": "shell",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "co1ddakY9xv1uMq4JBOhU"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-customer-licenses",
  "legacyHash": "zU0N6t4OZKLtTkfUGxOG4"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/customers/licenses/remove",
  "name": "Remove a customer license (Must have been assigned in the last 3 days)",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": ""
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "customer_code",
        "type": "string",
        "description": "Customer code"
      },
      {
        "kind": "required",
        "name": "license_id",
        "type": "string",
        "description": "The License ID"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "wihCI9qdi8ga8_Vn403pm",
        "code": "{\n    \"code\": 200,\n    \"content\": \"License removed successfully\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "74PMiPS2kGeCmWcqmBTyF",
        "language": "412",
        "code": "{\n    \"code\": 412,\n    \"content\": \"Unable to find the license provided. The license must have been assigned in the last 3 days.\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "wihCI9qdi8ga8_Vn403pm"
  },
  "examples": {
    "languages": [
      {
        "id": "iSH1rI8Vz-yNc7rIMuSrx",
        "language": "curl",
        "code": "curl --location 'https://api.fsflt.net/customerarea/customers/licenses/remove' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"customer_code\":\"string\",\"license_id\":\"string\"}'",
        "customLabel": ""
      },
      {
        "id": "O-ZnqPuEF_vEBOQu5mrse",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.fsflt.net/customerarea/customers/licenses/remove',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"customer_code\": \"string\",\n      \"license_id\": \"string\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "xSgeu4fXT9XCEjuj4tE8G",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"customer_code\": \"string\",\n   \"license_id\": \"string\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.fsflt.net/customerarea/customers/licenses/remove\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "g8DjCwZBiaiRwSI5Dr8Ke",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.fsflt.net/customerarea/customers/licenses/remove\"\n\npayload = json.dumps({\n   \"customer_code\": \"string\",\n   \"license_id\": \"string\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "6b8_C_DQmRuxrAt9KUSA0",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fsflt.net/customerarea/customers/licenses/remove\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"customer_code\": \"string\",\n   \"license_id\": \"string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "iSH1rI8Vz-yNc7rIMuSrx"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "remove-a-customer-license-must-have-been-assigned",
  "legacyHash": "THyEc7n7xN9IQZZci_xMy"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://api.fsflt.net/customerarea/customers/change/password",
  "name": "Change customer password",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": ""
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "customer_code",
        "type": "string",
        "description": "ID of the customer"
      },
      {
        "kind": "required",
        "name": "password",
        "type": "string",
        "description": "must be at least 8 chars\nmust be maximum 15 chars"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "hzxx47liJVLCwI5Inn0Qb",
        "code": "{\n    \"code\": 200,\n    \"content\": {\n        \"message\": \"The password has been modified.\"\n    }\n}",
        "language": "200"
      },
      {
        "id": "JQ0HngCLNC19L02p7t0oS",
        "code": "{\n    \"message\": \"Ain't no cake like that.\"\n}",
        "language": "404"
      }
    ],
    "selectedLanguageId": "hzxx47liJVLCwI5Inn0Qb"
  },
  "examples": {
    "languages": [
      {
        "id": "TuAHHGh7EA-3nnZeGdJHo",
        "code": "curl -X 'POST' \\\r\n  'https://api.fsflt.net/customerarea/customers/change/password' \\\r\n  -H 'accept: application/json' \\\r\n  -H \"Content-Type: application/json\" \\\r\n  -H \"X-API-KEY: YOUR_API_KEY\" \\\r\n  -d '{YOUR_PARAM}'",
        "language": "shell"
      }
    ],
    "selectedLanguageId": "TuAHHGh7EA-3nnZeGdJHo"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "change-customer-password",
  "legacyHash": "HS_R5q2N6A_C15Jg7VJ_3"
}
```
:::

